surface wavy_gravy (
    point	txt_frequency = (1., 1., 1.);		
    point 	txt_scale     = (1., 1., 1.);

    color   specularcolor = 1;

    float 	Ks    = .4, 
	    	Kd    = .6, 
	    	Ka    = .6,
		roughness = .1;
		
    color	color1 = color (0.25, 0.25, 0.35),  /* pale blue        */
		color2 = color (0.25, 0.25, 0.35),  /* pale blue        */
		color3 = color (0.20, 0.20, 0.30),  /* medium blue      */
		color4 = color (0.20, 0.20, 0.30),  /* medium blue      */
		color5 = color (0.20, 0.20, 0.30),  /* medium blue      */
		color6 = color (0.25, 0.25, 0.35),  /* pale blue        */
		color7 = color (0.25, 0.25, 0.35),  /* pale blue        */
		color8 = color (0.15, 0.15, 0.26),  /* medium dark blue */
		color9 = color (0.15, 0.15, 0.26),  /* medium dark blue */
		color10 = color (0.10, 0.10, 0.20), /* dark blue        */
		color11 = color (0.10, 0.10, 0.20), /* dark blue        */
		color12 = color (0.25, 0.25, 0.35), /* pale blue        */
		color13 = color (0.10, 0.10, 0.20); /* dark blue        */
)

{
    point Nf;            /* forward-facing normal */
    point V;             /* for specular() */
    point PP;            /* scaled point in shader space */

    /* Obtain a forward-facing normal for lighting calculations. */
    Nf = faceforward( normalize(N), I);
    V = normalize(-I);

    PP = transform("shader", P) * txt_scale * txt_frequency;
    pixelsize = sqrt(area(PP));
    twice = 2 * pixelsize;
    turbulence = 0;
   