@interface N3DShape(N3DShapeExtensions)
- surfaceShader;
- displacementShader;
- lightShader;
- imagerShader;
- volumeShader;
- transformationShader;
@end

@interface N3DShape (bbum_ShapeExtensions)
- (BOOL) hierarchyRoot;
- (BOOL) isDescendantOf:(N3DShape *) shape;
- (BOOL) isAncestorOf:(N3DShape *) shape;
- (N3DShape *) commonAncestor:(N3DShape *) shape;
- (unsigned int) shapeDepth;

+ convertPoints:(float *)pts count:(unsigned int)count
	fromShape:(N3DShape *) shape1
	toShape:(N3DShape *) shape2;

- killShaderOfType:(SLO_TYPE) type;
@end

extern const RtPoint SD3DxVector;
extern const RtPoint SD3DyVector;
extern const RtPoint SD3DzVector;
