#define SDReadOnlyMode R_OK
#define SDReadWriteMode (R_OK | W_OK | F_OK)
#define COLORSTRINGLENGTH 1024

/*

void convertColorToString (NXColor color, char *str)
BOOL getColorFromString (const char *str, NXColor *color)

The following two functions let you convert between a color and an ASCII string suitable for writing to defaults or storing in text documents.

Call convertColorToString() with a color and a string at least COLORSTRINGLENGTH long. Later, call getColorFromString() with a string obtained from convertColorToString() and a pointer to a color; if the function returns YES a color was successfully parsed from the string.

Ali Ozer, 5/28/92.

*/
extern void convertColorToString (NXColor color, char *str);
extern BOOL getColorFromString (const char *str, NXColor *color);

extern char *SD_validate_path(const char *path, int mode, BOOL checkForDir,
	    BOOL checkForFile);
extern BOOL SD_validate_directory(const char *d, int mode); 

extern char *strcpyp(char *dest, const char *source);

extern BOOL isDebug();
extern void SDLog(const char *error, SEL meth, id obj);
extern void SDDebugLog(const char *error, SEL meth, id obj);

extern void SDLogV(id obj, SEL meth, const char *error, ...);
extern void SDDebugLogV(id obj, SEL meth, const char *error, ...);

#define SDDL(_str_) SDDebugLog(_str_, _cmd, self)
