/*************************************************************************
*	Copyright (c) 1989-1992 Stone Design Corp.  All rights reserved. 
*	programmer:	Bill Bumgarner
*	File name:	SD_Odd.sl
*	Date:		Jul 25 1992 
*	Purpose:	odd multi-octave noise based surface shader.  I never
			really figured out exactly how it works or what it 
			does, so the following variable documentation is kind
			of useless.  Sorry.

	Variables:
		   scale:	starting size factor... 
		   octaves:	number of octaves of noise to filter across
		   multBy:	factor to mult by when moving from octave
		   		to octave
***************************************************************************/



surface
SD_Odd (
		float	scale	= 1.,
			octaves = 6.,
			multBy	= 2.
	)
{
  float size = scale, i;

  point op, mid;

  color out = color (0, 0, 0);

  op=transform("shader", P);
  for(i=0; i < octaves; i+=1.){
     	mid = (.5 - point noise(op * size)) / size;
        out += color (abs(xcomp(mid)), abs(ycomp(mid)), abs(zcomp(mid)));
	size *= multBy;
  }

  Oi=Os;
  Ci=out;
}